acquia/blt-phpcs

PHP_CodeSniffer integration for Acquia BLT

Installs: 161 843

Dependents: 1

Suggesters: 0

Security: 0

Stars: 2

Watchers: 9

Forks: 3

Open Issues: 1

Type:composer-plugin

v1.0.0 2020-10-14 16:12 UTC

This package is auto-updated.

Last update: 2021-08-30 00:10:15 UTC


README

This is an Acquia BLT plugin providing integration with PHP_CodeSniffer and Acquia’s Coding Standards.

This plugin provides a set of commands in the validate:phpcs namespace that use PHP_CodeSniffer to check for coding standard violations.

When first installed, it will create a default phpcs.xml file utilizing Acquia’s Coding Standards if one does not exist.

This plugin is community-supported. Acquia does not provide any direct support for this software or provide any warranty as to its stability.

Installation and usage

To use this plugin, you must already have a Drupal project using BLT 12 or higher.

In your project, require the plugin with Composer:

composer require --dev acquia/blt-phpcs

License

Copyright (C) 2020 Acquia, Inc.

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.